org.eclipse.gef.mvc.fx.behaviors

## Interface IBehavior

All Superinterfaces:
  IActivatable, IAdaptable.Bound<IVisualPart<? extends javafx.scene.Node>>

All Known Implementing Classes:
  AbstractBehavior, ConnectionClickableAreaBehavior, ContentBehavior, FocusBehavior, GridBehavior, HoverBehavior, HoverIntentBehavior, RevealPrimarySelectionBehavior, SelectionBehavior, SnappingBehavior

    public interface IBehavior
    extends IActivatable, IAdaptable.Bound<IVisualPart<? extends javafx.scene.Node>>

The `IBehavior` interface extends `IAdaptable.Bound` and `IActivatable`. Usually, implementations observe some model and perform actions in reaction to model changes, e.g. displaying feedback and handles when its `IAdaptable` is selected.

### Property Summary

### Properties inherited from interface org.eclipse.gef.common.activate.IActivatable

`active`

### Properties inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptable`

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

### Field Summary

### Fields inherited from interface org.eclipse.gef.common.activate.IActivatable

`ACTIVE_PROPERTY`

### Method Summary

All Methods Instance Methods Abstract Methods
`IVisualPart<? extends javafx.scene.Node>` `getHost()` Returns the host `IVisualPart` of this `IBehavior`, i.e. the part where this behavior is registered as an adapter.

### Methods inherited from interface org.eclipse.gef.common.activate.IActivatable

`activate, activeProperty, deactivate, isActive`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptableProperty, getAdaptable, setAdaptable`

### Method Detail

#### getHost

    IVisualPart<? extends javafx.scene.Node> getHost()

Returns the host `IVisualPart` of this `IBehavior`, i.e. the part where this behavior is registered as an adapter.

Returns:
  The host `IVisualPart` of this `IBehavior`.